<?php

# создание нового пользователя, в базе данных, настройки, статистика
$id = db_create($DB, 'users', array('bonus' => time() + 86400, 'money' => DATA['money'], // основа
'reg' => time(), 'visit' => time()), true); db_create($DB, 'settings'); db_create($DB, 'statistic'); // настройки, статистика

# создание ресурсов игры, в базе данных
for ($how = 1; $how <= DATA['garden']; $how++) { db_create($DB, 'garden', array('num' => $how, 'user' => $id)); } // грядки
for ($how = 1; $how <= DATA['animal']; $how++) { db_create($DB, 'animal', array('num' => $how, 'user' => $id)); } // загоны
for ($how = 1; $how <= DATA['technic']; $how++) { db_create($DB, 'technic', array('num' => $how, 'user' => $id)); } // техника

# создание заданий игры, в базе данных
for ($how = 1; $how <= DATA['tasks']; $how++) { $plant = $GAME->random(1, 5); $count = $GAME->random(3, 10); // растение, количество
$perc = $GAME->random(2, 10); $price = round(((SALE['plant_'. $plant] * $count) / 100) * (100 + $perc)); // вычисление награды
$person = $GAME->person(); $image = $person[0]; $name = $person[1]; db_create($DB, 'tasks', array(// персонаж, имя
'image' => $image, 'name' => $name, 'num' => $how, 'one' =>'plant:'. $plant .':'. $count, 'price' => $price, 'user' => $id)); } // запись в базу

# данные авторизации
$hash = $FUNC->random(20); // случайная строка
$num = $FUNC->random(9, true); // случайный номер
$browser = $FUNC->browser(AGENT); // браузер
$device = $FUNC->device(AGENT); // используемое устройство
$os = $FUNC->os(AGENT); // операционная система
$ip = $FUNC->ip(IP); // ip - адрес клиента
$auth = $hash .'z'. $num; // данные авторизации
$FUNC->sess('auth', $auth); // запись авторизации

# запись авторизации в базу данных
db_create($DB, 'auths', array('browser' => $browser, 'device' => $device, 'hash' => $hash, 'ip' => $ip, 'num' => $num, 'os' => $os, 'user' => $id));

# переадресация в игру
$FUNC->go('/garden');